@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300&display=swap');
/* font-family: 'Roboto', sans-serif; */
@import url('bpg-algeti.css');
@import "config.css";

.wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
}

/* TODO: Navigation  Styles*/
.nav-link{
    color: white;
}

.nav-link:hover{
    color: hsla(var(--light-blue-hue), var(--light-blue-saturation), var(--light-blue-lightness), var(--light-blue-alfa));
}
.dropdown{
    position: absolute;
    right: 0;
}
.navbar-nav .nav-link.show{
    color: white;
}
.nav-item:last-child .animated-line:after{
    display: none;
}

.dropdown-toggle-language, .dropdown-toggle-language:focus{
    background-color: hsl(200deg 91% 50%);
    color: white;
    font-weight: bold;
    border-radius: 0;
    border: 5px solid var(--dark-blue);
}

.dropdown-toggle-language:hover{
    color: hsla(var(--light-blue-hue), var(--light-blue-saturation), var(--light-blue-lightness), var(--light-blue-alfa));
    background-color:  hsla(var(--dark-blue-hue), var(--dark-blue-saturation), var(--dark-blue-lightness), var(--dark-blue-alfa));
    border-color: hsla(var(--light-blue-hue), var(--light-blue-saturation), var(--light-blue-lightness), var(--light-blue-alfa));
}

.dropdown-menu-press{
    background-color:  hsla(var(--dark-blue-hue), var(--dark-blue-saturation), var(--dark-blue-lightness), var(--dark-blue-alfa));
    border: none;
}
.dropdown-item-press{
    color: hsla(var(--light-blue-hue), var(--light-blue-saturation), var(--light-blue-lightness), var(--light-blue-alfa));
}
.dropdown-item-press:hover{
    background-color:  transparent;
    color:  hsla(var(--dark-blue-hue), var(--dark-blue-saturation), var(--dark-blue-lightness), var(--dark-blue-alfa));
}




.article-categories{
    position: absolute;
    display: flex;
    justify-content: flex-end;
    gap: 0.5rem;
    top: 0.5rem;
    right: 0.5rem;
}
.article-card{
    border-color: hsla(var(--light-blue-hue), var(--light-blue-saturation), var(--light-blue-lightness), var(--light-blue-alfa));
    height: 100%;
}
.article-card-header{
    border-bottom-color: hsla(var(--light-blue-hue), var(--light-blue-saturation), var(--light-blue-lightness), var(--light-blue-alfa));;
}


/*.animated-line:hover::after{*/
/*    width: 100%;*/
/*}*/

.assist{
    position: sticky;
    top: 0;
}
.navigation-section {
    position: sticky;
    top: 0;
    width: 100%;
    z-index: 777;
}
.lang{
    width: 20px;
    height: 20px;
}

#add-section-btn{
    position: fixed;
    width: auto;
    left: 1rem;
    top: 50%;
    transform: translateY(-50%);
    z-index: 777;
}

#delete-section-btn{
    position: fixed;
    width: auto;
    left: 1rem;
    top: calc(50% + 50px);
    z-index: 777;
}

.add-block-section:empty{
    display: none;
}
.logo{
    width: 125px;
    z-index: 333;
}
.category-group{
    border: 1px solid var(--dark-blue);
    border-radius: 0.375rem;
}
.language-group{
    border: none;
    flex-direction: row;
}
.language-item{
    background-color:transparent;
    border: none;
}
.list-group-link{
    text-decoration: none;
    color: white;
}

.search-bar{
    background-color: var(--dark-blue) !important;
    color: white !important;
    border-radius: 0;
    padding: 0;
    border-color: currentColor;
    outline: none !important;
}
.search-bar::placeholder{
    color: hsl(201deg 91% 51%);
}

.search-bar-icon {
    border: none;
    color: hsl(201deg 91% 51%) !important;
    padding-inline: 1rem;
}

.contact{
    text-decoration: none;
    position: relative;
    display: flex;
    gap: 1rem;
    align-items: center;
    font-size: 1rem;
}

.contact::before{
    content: var(--icon);
    display: inline-block;
    font-family: bootstrap-icons !important;
}
.social-icon{
    border-color: white !important;
}

.small-device-logo{
    position: absolute;
    left: 0;
    bottom: 0;

}

.language-label{
    font-size: 13px;
}

.aside-navbar{
    position: fixed;
    inset: 0 auto 0 0;
    transition-property: transform;
    transition-duration: 0.7s;
}

.aside-navbar-hide{
    transform: translateX(-100%);
}

#aside-navbar-toggle {
    position: absolute;
    right: 0;
    top: 0;
    transform: translateX(100%);
    background-color: var(--dark-blue);
    color: var(--light-blue);
    border: 1px solid var(--light-blue);
    border-radius: 0;
}

.aside-navbar #aside-navbar-toggle .bi-list{
    display: none;
}

.aside-navbar.aside-navbar-hide  #aside-navbar-toggle .bi-x-lg{
    display: none;
}

.aside-navbar.aside-navbar-hide  #aside-navbar-toggle .bi-list{
   display: inline-block;
}


#aside-navbar-toggle:hover{
    background-color: var(--light-blue);
    color: var(--dark-blue);
}

.dropdown:has(:hover) .dropdown-toggle-side{
    background-color: var(--light-blue);
    color: var(--dark-blue) !important;
}

.dropdown-menu-side{
    position: relative;
    transform: translate3d(0px, 0px, 0px) !important;
}

.dropdown-toggle-side{
    border: none !important;
    width: 100%;
    cursor: pointer;
    border-radius: 0;
    border-bottom-color: var(--light-blue) !important;
    border-bottom-width: 1px !important;
    border-bottom-style: solid !important;
    background-color: transparent;
    color: white !important;
    transition-property: background-color, color;
    transition-duration: 0.7s;
}

.dropdown-toggle-side:hover{
    background-color: var(--light-blue);
    color: var(--dark-blue) !important;
}

.geo-press-slogan{
    color: hsla(0deg 0% 100% / 1);
    text-shadow: 2px 2px 0 hsla(var(--light-blue-hue), var(--light-blue-saturation), var(--light-blue-lightness), 1);
    transition-property: text-shadow, color;
    transition-duration:  0.7s;
}

[data-content="navigation"]:hover .geo-press-slogan {
    color: hsla(var(--light-blue-hue), var(--light-blue-saturation), var(--light-blue-lightness), 1);
    text-shadow: -2px -2px 0 hsla(0deg 0% 100% / 1);
}

.rules{
    font-size: 12px;
    text-align: justify;
    line-height: 1.2;
}
.admin-article-card{
    position: relative;
}
.admin-article-card:after{
    position: absolute;
    content: attr(data-view);
    padding: 1rem;
    background-color: var(--dark-blue);
    color: white;
    top: 0;
    right: 0;
    border-radius: 0 5px 0 5px;
}
.note-editable{
    background-color: white;
}
.category-item-image{
    height: 100% !important;
    object-fit: cover;
}
[data-content='none'] {
    display: none !important;
}
.author-avatar{
    width: 48px;
    aspect-ratio: 1/1;
    object-fit: cover;
    object-position: center center;
}
.view-more-card{
    border: none !important;
}
.category-name-label{
    font-size: 12px;
}
.category-btn{
    color: white;
    background-color: var(--dark-blue);
}
.category-btn:hover{
    color: var(--light-blue);
    background-color: var(--dark-blue);
}
.article-card-title{
    transition: color 0.4s;
}
.article-card-title:hover{
    color: var(--light-blue) !important;
}
.view-more-card-title{
    font-family: Avenir !important;
}
